<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Bloglog
 * @since 1.0.0
 */

$bloglog_default = bloglog_get_default_theme_options();
bloglog_disable_post_views();
bloglog_disable_post_read_time();
bloglog_disable_post_like_dislike();
bloglog_disable_post_author_box();
bloglog_disable_post_reaction();
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('twp-archive-items'); ?>>
    <div class="entry-wrapper">
        <?php
        if (has_block('core/gallery', get_the_content())) {
            // If the post has a gallery block, display it.
            ?>
            <div class="entry-content-media">
                <div class="twp-content-gallery">
                    <?php bloglog_print_first_instance_of_block('core/gallery', get_the_content()); ?>
                </div>
            </div>
            <?php
        } else {
            if (has_post_thumbnail()) {
                // If the post has a thumbnail, display it.
                ?>
                <div class="entry-thumbnail">
                    <a href="<?php the_permalink(); ?>">
                        <?php
                        the_post_thumbnail('medium_large', array(
                            'alt'   => get_the_title(),
                            'class' => 'entry-responsive-thumbnail',
                        ));
                        ?>
                    </a>
                    <?php
                    $format = get_post_format(get_the_ID()) ?: 'standard';
                    $icon = bloglog_post_format_icon($format);
                    if (!empty($icon)) {
                        ?>
                        <div class="post-format-icon"><?php echo bloglog_svg_escape($icon); ?></div>
                        <?php
                    }
                    ?>
                </div>
                <?php
            }
        }
        ?>

        <div class="post-content">

            <div class="entry-meta theme-meta-categories">
                <?php bloglog_entry_footer($cats = true, $tags = false, $edits = false); ?>
            </div>

            <header class="entry-header">
                <h2 class="entry-title entry-title-small">
                    <a href="<?php the_permalink(); ?>">
                        <?php the_title(); ?>
                    </a>
                </h2>
            </header>

            <div class="entry-meta">
                <?php
                bloglog_posted_by();
                ?>
            </div>

            <?php bloglog_read_more_render(); ?>
        </div>

    </div>
</article>